summaryrefslogtreecommitdiff
path: root/qa/138
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/138
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/138')
-rwxr-xr-xqa/13852
1 files changed, 52 insertions, 0 deletions
diff --git a/qa/138 b/qa/138
new file mode 100755
index 0000000..78eec37
--- /dev/null
+++ b/qa/138
@@ -0,0 +1,52 @@
+#! /bin/sh
+# PCP QA Test No. 138
+# new PMNS specification parser, thanks to white space from GNU cpp
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+trap "rm -f $tmp $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+
+cat <<End-of-File >$tmp
+root {
+ one 1:2:3 /* valid */
+ a
+ b
+ c
+}
+
+a {
+ two 1 :3:4 /* 1st colon space after */
+ three 1: 3:5 /* 1st colon space before */
+ four 1 : 3:6 /* 1st colon space after and before */
+}
+
+b {
+ two 1:4 :4 /* 2nd colon space after */
+ three 1:4: 5 /* 2nd colon space before */
+ four 1:4 : 6 /* 2nd colon space after and before */
+}
+
+c {
+ two 1 :5 :4 /* both colon space after */
+ three 1: 5: 5 /* both colon space before */
+ four 1 : 5 : 6 /* both colon space after and before */
+}
+End-of-File
+
+pminfo -m -n $tmp
+if [ $PCP_VER -lt 3600 ]
+then
+ pmnscomp -f -n $tmp $tmp.bin
+ pminfo -m -n $tmp
+fi